LibreOffice LibreOffice 6.0 SDK API Reference

Modules | Variables
EffectNodeType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::presentation
| Presentation specific interfaces.

## Constant Groups
constants | com::sun::star::presentation::EffectNodeType
| This constants defines a type for an animation effect node.

## Variables
const short | DEFAULT = 0
| This node has no special meaning. More...
const short | ON_CLICK = 1
| This node contains an effect that starts on click. More...
const short | WITH_PREVIOUS = 2
| This node contains an effect that starts with a previous effect. More...
const short | AFTER_PREVIOUS = 3
| This node contains an effect that starts after a previous effect has finished. More...
const short | MAIN_SEQUENCE = 4
| This is the main sequence for effects that is automatically started. More...
const short | TIMING_ROOT = 5
| This is the root sequence. More...
const short | INTERACTIVE_SEQUENCE = 6
| This is a sequence with effects that starts due to user interaction. More...